/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.coaChangelogItem {
  background: $coa-white-100;
  padding: 0.8125rem 1.3125rem;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
  border-radius: 10px;

  &__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    column-gap: 0.5rem;
  }
  &__body {
    @include primary-text(0.75rem, $coa-grey-100, 400);
    margin-top: 1.3125rem;
    a {
      @include primary-text(0.75rem, $coa-changelog-links-color, 400);
      text-decoration: underline;
    }
  }
  &__footer {
    margin-top: 0.9375rem;
  }

  &__date {
    @include primary-text(0.875rem, $coa-grey-100, 400);
  }

  &__title {
    @include primary-text(0.875rem, $coa-dark-gray-100, 400);
    &.--bold {
      font-weight: 600;
    }
    &.--highlighted {
      @include primary-text(0.75rem, $coa-changelog-highlighted-color, 400);
    }
  }

  &__rev {
    @include primary-text(0.625rem, $coa-grey-100, 400);
  }
}
